%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define _binaries_in_noarch_packages_terminate_build 0

Name: insights-coordinator-rhosp
Version: 1.0.24
Release: 1%{?dist}
Summary: Multi-Node Insights Client Coordinator
Source0: %{name}-%{version}.tar.gz
License: GPLv2
Group: Applications/System
BuildArch: noarch
Vendor: Red Hat, Inc.
URL: https://access.redhat.com/insights

Obsoletes: insights-coordinator
Requires: redhat-access-insights >= 1.0.11,python-paramiko
BuildRequires: python-setuptools

%description
RHOSP Insights Client Coordinator

%prep
%setup -q

%install
rm -rf ${RPM_BUILD_ROOT}
rm -rf requirements
rm -rf tests
python setup.py install --root=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT

%postun
#!/bin/bash
if [ $1 = 0 ]; then
rm -f /etc/cron.daily/insights-coordinator-rhosp
fi

%files
%defattr(-,root,root)
%{python_sitelib}/insights_coordinator_rhosp*.egg-info
%{python_sitelib}/insights_coordinator_rhosp/*.py*
%{python_sitelib}/insights_coordinator_rhosp/insights_coordinator_infra
/usr/bin/insights-coordinator-rhosp

%defattr(755,root,root)
/etc/redhat-access-insights/insights-coordinator-rhosp.cron

%defattr(0600,root,root)
%config(noreplace) /etc/redhat-access-insights/insights-coordinator-rhosp.conf

%doc
/usr/share/man/man8/*.8.gz
/usr/share/man/man5/*.5.gz

%changelog
* Thu Jan 7 2016 Kyle Lape <klape@redhat.com> - 1.0.0-1
- Initial build
